Gecode::Search::Seq::RestartStop Class Reference

Stop-object for restart engine More...

`#include <rbs.hh>`

## Public Member Functions

| RestartStop (Stop *s)
| Stop the meta engine if indicated by the stop object s.
virtual bool | stop (const Statistics &s, const Options &o)
| Return true if meta engine must be stopped.
void | limit (const Statistics &s, unsigned long int l)
| Set current limit for the engine to l fails.
void | update (const Search::Statistics &s)
| Update statistics.
bool | enginestopped (void) const
| Return whether the engine has been stopped.
Statistics | metastatistics (void) const
| Return statistics for the meta engine.
| Stop (void)
| Default constructor.
virtual | ~Stop (void)
| Destructor.

## Additional Inherited Members

static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Stop-object for restart engine

Definition at line 44 of file rbs.hh.

## Constructor & Destructor Documentation

## RestartStop()

Gecode::Search::Seq::RestartStop::RestartStop | ( | Stop * | s | ) |

inline

Stop the meta engine if indicated by the stop object s.

Definition at line 38 of file rbs.hpp.

## Member Function Documentation

## stop()

bool Gecode::Search::Seq::RestartStop::stop | ( | const Statistics & | s,
|  | const Options & | o )

virtual

Return true if meta engine must be stopped.

Implements Gecode::Search::Stop.

Definition at line 40 of file rbs.cpp.

## limit()

void Gecode::Search::Seq::RestartStop::limit | ( | const Statistics & | s,
|  | unsigned long int | l )

inline

Set current limit for the engine to l fails.

Definition at line 42 of file rbs.hpp.

## update()

void Gecode::Search::Seq::RestartStop::update | ( | const Search::Statistics & | s | ) |

inline

Update statistics.

Definition at line 49 of file rbs.hpp.

## enginestopped()

bool Gecode::Search::Seq::RestartStop::enginestopped | ( | void |  | ) | const

inline

Return whether the engine has been stopped.

Definition at line 54 of file rbs.hpp.

## metastatistics()

Statistics Gecode::Search::Seq::RestartStop::metastatistics | ( | void |  | ) | const

inline

Return statistics for the meta engine.

Definition at line 59 of file rbs.hpp.

The documentation for this class was generated from the following files:

- gecode/search/seq/rbs.hh
- gecode/search/seq/rbs.cpp
- gecode/search/seq/rbs.hpp